Subject: Re: [PATCH v2 2/5] services: postgresql: Add socket directory support.

From: Christopher Baines <[email-masked]>
Date: Wed, 27 Jan 2021 08:35:23 +0000

Mathieu Othacehe <[email-masked]> writes:

> * gnu/services/databases.scm (postgresql-config-file-socket-directory): New
> procedure.
> (<postgresql-config-file>)[socket-directory]: New field.
> (postgresql-config-file-compiler): Honor it.
> (postgresql-activation): Create the socket directory if needed.
> * doc/guix.texi (Database Services): Document it.
> ---
>  doc/guix.texi              |  6 ++++++
>  gnu/services/databases.scm | 32 +++++++++++++++++++++++---------
>  2 files changed, 29 insertions(+), 9 deletions(-)

This looks good, I did spot some system tests fail though, and I'm
guessing it's this patch in the series that's the reason [1]

1: https://data.guix-patches.cbaines.net/compare/system-test-derivations?base_commit=2d9c6542c804eb2ef3d8934e1e3ab8b24e9bbafb&target_commit=f8a367281daaad998059dd657818c49ed5beac30&locale=en_US.UTF-8

Looking at the patchwork system test log, I'm guessing it's using the
default socket directory on the client side, which is now not working.

I think patching the postgresql package to adjust [2] accordingly would
be useful to keep PostgreSQL connecting with the default socket
directory.

2:
#define DEFAULT_PGSOCKET_DIR  "/tmp"